Subject: Re: missing perl directories
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Fri, 22 Jan 2021 00:33:45 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-01-21 09:09, Anthony Heading wrote:
> Whenever I have a new cygwin setup,  I get an error/warning when trying to install perl modules:
> 
> % cpan install Win32::Symlink
> Loading internal logger. Log::Log4perl recommended for better logging
> [...]
> Use of uninitialized value $what in concatenation (.) or string at /usr/share/perl5/5.30/App/Cpan.pm line 679, <STDIN> line 1.
> Warning: You do not have write permission for Perl library directories.
> 
> I think it is just because the site_perl directories do not exist.
> 
> % perl -V
> Summary of my perl5 (revision 5 version 30 subversion 3) configuration:
> [...]
>    @INC:
>      /usr/local/lib/perl5/site_perl/5.30/x86_64-cygwin-threads
>      /usr/local/share/perl5/site_perl/5.30
>      /usr/lib/perl5/vendor_perl/5.30/x86_64-cygwin-threads
>      /usr/share/perl5/vendor_perl/5.30
>      /usr/lib/perl5/5.30/x86_64-cygwin-threads
>      /usr/share/perl5/5.30
> 
> ls: cannot access '/usr/local/lib/perl5/site_perl/5.30/x86_64-cygwin-threads': No such file or directory
> ls: cannot access '/usr/local/share/perl5/site_perl/5.30': No such file or directory
> 
> If I simply create these empty directories the problem goes away.
> 
> Could the perl package just include these empty directories?

I don't knowingly use perl packages but I have those directories:

$ perl -V | tail -6 | xargs ls -d
/usr/lib/perl5/5.30/x86_64-cygwin-threads 
/usr/local/share/perl5/site_perl/5.30
/usr/lib/perl5/vendor_perl/5.30/x86_64-cygwin-threads      /usr/share/perl5/5.30
/usr/local/lib/perl5/site_perl/5.30/x86_64-cygwin-threads 
/usr/share/perl5/vendor_perl/5.30

either something has not completed correctly, or something is missing in recent 
installations.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple